[Megoldva]Törött/rosszul települt csomag HELP

 ( zslaszlo | 2015. április 21., kedd - 9:46 )

Sajnos ki akartam próbálni egy programot, (mimo-studio) ami félig/rosszul/sehogyan nem települt. Viszont beragadt.
Terminál:
# dpkg --configure -a
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-4-686-pae
Beállítás: mimio-studio (11.31-en) ...
Could not parse file "/usr/share/applications/mimio-collaborate.desktop": Key file contains line '?[Desktop Entry]' which is not a key-value pair, group, or comment
update-initramfs: deferring update (trigger activated)
MDKLoadLibrary('/var/opt/mimio/mimiosys.so') failed: /lib/i386-linux-gnu/i686/cmov/libc.so.6: version `GLIBC_2.15' not found (required by /var/opt/mimio/mimiosys.so)

És itt megáll. Vártam 5 percet és semmi. Aztán megismételem és semmi. Szóval elakadtam, tanácstalan vagyok.

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Hát, ez elég frusztráló. A ~/.mimio könyvtár kinek a tulajdonában áll? Ha root, akkor változtasd meg a sajátodra, és próba újra. Emellett meg... úgy néz ki, hogy a libc6 verzió nem megfelelő. Amennyiben debianon vagy, próbálj egy experimental tárolót, hátha ott frissebb (legalább 2.15 kéne, a hibaüzenet szerint).

--
Coding for fun. ;)

Az is jó lenne, ha el tudnám távolítani a mimo-studo csomagot valahogyan.
Inkább nem használom.

próbáltad mar? :
apt-get -f install

Ha minden kötél szakad:
su -
mv /var/lib/dpkg/info/CSOMAG.* /tmp/
dpkg --remove --force-remove-reinstreq CSOMAG

--
Coding for fun. ;)

# dpkg --remove --force-remove-reinstreq mimo-studio
dpkg: warning: ignoring request to remove mimo-studio which isn't installed

Jó. Megoldódott. Köszönöm.
dpkg -P initramfs mimo-studio
Ezután futtatva az apt-get install -f rendbe tette.
Bár csak csendesen jegyzem meg, hogy az initramfs gyalulása közben véletlenül lekaptam a linux-image-t is. Majd szívbajt kaptam! Persze visszatettem...
Még egyszer köszönöm!

A kernel verzioszama alapjan Debian 7-et hasznalsz, amiben glibc 2.13 van, igy olyan cucc, aminek 2.15+ kell, nem fog menni. dpkg --purge mimio-studio
Amugy miert hagytad figyelmen kivul a letoltesi oldalon levo tamogatott disztribuciok listajat ???

A kérdésed jogos. Hiba volt. Az én hibám. A válaszod pedig a jó megoldás. Köszönöm.